View Issue Details

IDProjectCategoryView StatusLast Update
0014441LazarusLCLpublic2009-12-22 08:16
ReporterTomasz Wieckowski Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014441: Caption of form restores on restart
DescriptionWhen I remove caption of the form (by object inspector, I don't wont title on the form) then it is removed until the closing current project.
When I reopen my project then caption is restored from the default (as example "Form1").
TagsNo tags attached.
Fixed in Revision21472
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

José Mejuto

2009-08-26 22:59

reporter   ~0030187

I can confirm it with Lazarus 0.9.29 r21448 FPC 2.3.1 i386-win32-win32/win64
As a workaround you can use space " " as title (no visible caption) or, of course, change it at runtime (formCreate).

Mark Daems

2009-08-27 21:53

reporter   ~0030214

Think this one is the same as or at least related to 0014264

Paul Ishenin

2009-08-28 05:07

manager   ~0030215

Not related at all. Form caption is changed after the reading from lfm.

Tomasz Wieckowski

2009-10-06 18:26

reporter   ~0031153

It seems that the problem still exists in 0.9.28.1
The same project opened in the latest rev 0.9.29 does not have this problem.

Vincent Snijders

2009-10-06 18:59

manager   ~0031154

Obviously the fix has not yet been merged to 0.9.28.1.

Tomasz Wieckowski

2009-10-07 10:50

reporter   ~0031167

ups, sorry, I overlooked. I thought that this fix was before the creation of 0.9.28 branch.

Issue History

Date Modified Username Field Change
2009-08-26 20:26 Tomasz Wieckowski New Issue
2009-08-26 20:26 Tomasz Wieckowski Widgetset => Win32/Win64
2009-08-26 22:59 José Mejuto Note Added: 0030187
2009-08-27 21:53 Mark Daems Note Added: 0030214
2009-08-28 05:07 Paul Ishenin Note Added: 0030215
2009-08-28 09:08 Mattias Gaertner Fixed in Revision => 21472
2009-08-28 09:08 Mattias Gaertner LazTarget => 0.9.30
2009-08-28 09:08 Mattias Gaertner Assigned To => Mattias Gaertner
2009-08-28 09:08 Mattias Gaertner Status new => resolved
2009-08-28 09:08 Mattias Gaertner Resolution open => fixed
2009-08-28 12:56 Tomasz Wieckowski Status resolved => closed
2009-10-06 18:26 Tomasz Wieckowski Status closed => assigned
2009-10-06 18:26 Tomasz Wieckowski Resolution fixed => reopened
2009-10-06 18:26 Tomasz Wieckowski Note Added: 0031153
2009-10-06 18:59 Vincent Snijders Note Added: 0031154
2009-10-07 10:50 Tomasz Wieckowski Note Added: 0031167
2009-12-22 08:16 Paul Ishenin Status assigned => resolved
2009-12-22 08:16 Paul Ishenin Resolution reopened => fixed
2009-12-22 08:16 Paul Ishenin Status resolved => closed
2009-12-22 08:16 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-12-22 08:16 Paul Ishenin Target Version => 0.9.30